# COMMON
server.servlet.context-path                 =   /openaire
server.port                                 =   8080

server.public_url = 
server.public_desc = API Base URL

spring.datasource.driverClassName           =   org.postgresql.Driver
spring.jpa.database-platform                =   org.hibernate.dialect.PostgreSQL9Dialect
spring.jpa.show-sql                         =   false
spring.jpa.properties.hibernate.format_sql  =   true
spring.jpa.hibernate.ddl-auto               =   validate
#spring.mvc.dispatch-options-request         =   true

# SWAGGER
spring.jackson.date-format                              =   eu.dnetlib.openaire.common.RFC3339DateFormat
spring.jackson.serialization.WRITE_DATES_AS_TIMESTAMPS  =   false

management.endpoints.web.exposure.include   =   prometheus,health

management.endpoints.web.base-path                  =   /
management.endpoints.web.path-mapping.prometheus    =   metrics
management.endpoints.web.path-mapping.health        =   health


# ENABLE / DISABLE CONTROLLERS
openaire.exporter.enable.dsm            =   true
openaire.exporter.enable.community      =   true
openaire.exporter.enable.context        =   true
openaire.exporter.enable.funders        =   false
openaire.exporter.enable.project        =   true
openaire.exporter.enable.info           =   true

# CACHE TTL, 12h
openaire.exporter.cache.ttl             =   43200000

maven.pom.path = /META-INF/maven/eu.dnetlib.dhp/dnet-exporter-api/effective-pom.xml

